# DITA File Merger and Splitter Utility

This utility is designed to merge multiple DITA files into single XML files and split merged XML files back into
individual DITA files. This facilitates easier handling and translation of large sets of DITA documents.

## Table of Contents

- [Getting Started](#getting-started)
    - [Prerequisites](#prerequisites)
    - [Installation](#installation)
- [Usage](#usage)
- [Running the Tests](#running-the-tests)

## Getting Started

These instructions will help you get a copy of the project up and running on your local machine for development and
testing purposes.

### Prerequisites

- Python 3.12 or newer

### Installation

**For Regular Use:**

You can install the `dita-parser` package directly from PyPI using pip:

```bash
pip install dita-parser
```

**For Development:**

If you want to contribute to the project or modify it, you can clone the repository to your local machine:

1. Clone the repository to your local machine:

```bash
git clone git@git.crosslang.dev:crosslang/dita_parser.git
```

2. Navigate to the project directory:

```bash
cd dita_parser
```

3. Install the required dependencies:

```bash
pip install -r requirements.txt
```

### Running the Tests

To run the tests, navigate to the tests directory and run the unittest module:

```bash
cd tests
python -m unittest
```

### Usage

After installing dita-parser, you can use it directly from the command line without invoking Python directly.

Print Help:

```bash
dita-parser -h
```

To Merge DITA Files:

```bash
dita-parser merge <path/to/input> <path/to/output>
```

To Split XML Files:

```bash
dita-parser split <path/to/input> <path/to/output>
```

Replace <path/to/input> with the path to your input directory containing .dita or .xml files, and <path/to/output> with
the path to the directory where you want the output files to be saved.
